Bug 2356 - wrong configuration in /etc/emacs/site-start.d
: wrong configuration in /etc/emacs/site-start.d
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/emacs-mode-psgml)
: unstable
: all Linux
: P5 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-03-11 16:59 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-03-11 16:59:26
В пакете emacs-mode-psgml-1.2.5-alt0.6 в файле /etc/emacs/site-start.d/psgml.el
неверно записан шаблон для auto-mode-alist (\"\\.xml$\").  Должно
быть \"\\\\.xml\\\\\'\".

---

---
------- Comment #1 From 2003-03-18 12:21:37 -------
fixed startup file
------- Comment #2 From 2003-03-18 12:21:37 -------
fixed startup file
------- Comment #3 From 2003-03-20 18:04:21 -------
\"\\.xml\\\'\" again   :-(
------- Comment #4 From 2003-03-20 18:04:21 -------
\"\\.xml\\\'\" again   :-(
------- Comment #5 From 2003-03-20 18:05:06 -------
В файле опять получилось \"\\.xml\\\'\"   :-(

На этот раз \'\\\' сожрал shell (конструкция вида <<__INIT__, использованная в spec, работает по правилам двойных кавычек в shell). Надо использовать <<\'__INIT__\', чтобы применялись правила для одинарных кавычек (раскрытие переменных shell ($var) там не требуется, а на макросы RPM (%var) это не влияет - они обрабатываются на другом уровне).
------- Comment #6 From 2003-03-20 18:05:06 -------
В файле опять получилось \"\\.xml\\\'\"   :-(

На этот раз \'\\\' сожрал shell (конструкция вида <<__INIT__, использованная в spec, работает по правилам двойных кавычек в shell). Надо использовать <<\'__INIT__\', чтобы применялись правила для одинарных кавычек (раскрытие переменных shell ($var) там не требуется, а на макросы RPM (%var) это не влияет - они обрабатываются на другом уровне).
------- Comment #7 From 2003-05-20 16:00:51 -------
fixed
------- Comment #8 From 2003-05-20 16:00:51 -------
fixed
------- Comment #9 From 2003-05-20 16:03:14 -------
исправлено
------- Comment #10 From 2003-05-20 16:03:14 -------
исправлено